Bug 658289 - Unify the messaging of the "Changing password for...." message
Unify the messaging of the "Changing password for...." message
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-29 16:42 EST by Tomas Mraz
Modified: 2017-04-20 11:38 EDT (History)
6 users (show)

See Also:
Fixed In Version: pam-1.3.0-3.fc27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 625096
Environment:
Last Closed: 2017-04-20 10:58:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2010-11-29 16:42:44 EST
Description of problem:
The 'passwd' command displays 'Changing password for $user' twice.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Login to Rhel 6 desktop.

2. Type 'passwd'.

[tester@dhcp231-173 ~]$ passwd
Changing password for user tester.
Changing password for tester.
(current) UNIX password: 
  
Actual results:
'Changing password for $user' displayed twice.

Ray Strode took a brief look at this,  "/usr/bin/passwd | grep "Chaning password" shows it has the "Changing password for user" string. Individual pam modules have the second string.

Expected results:
'Changing password for $user' should be displayed once.

[tester@dhcp231-173 ~]$ passwd
Changing password for user tester.
(current) UNIX password: 

Additional info:

--- Additional comment from tmraz@redhat.com on 2010-08-18 11:50:51 EDT ---

Cosmetic issue and no regression from RHEL-5.

--- Additional comment from tmraz@redhat.com on 2010-08-18 12:16:51 EDT ---

And it is really questionable where this should be changed, but most probably the message from the PAM module should be removed rather than the passwd message.

The question is if that couldn't break other things that call PAM password changing routines such as expired password handling in ssh or login.
Comment 1 Fedora End Of Life 2013-04-03 14:24:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Tomas Mraz 2013-05-07 08:10:49 EDT
Back to passwd as the message from pam_unix is not duplicate when changing expired password in console login.
Comment 3 Miloslav Trmač 2013-12-05 15:36:46 EST
With
> passwd-0.79-1.fc19.x86_64
> pam-1.1.6-12.fc19.x86_64

> $ LC_ALL=en_US.UTF-8 passwd
> Changing password for user mitr.
> Changing password for mitr.
> (current) UNIX password: 

BUT

> # LC_ALL=en_US.UTF-8 passwd
> Changing password for user root.
> New password: 

It seems pam_unix only outputs this message if (on(UNIX__PRELIM, ctrl) && off(UNIX__IAMROOT, ctrl) , which seems like a bug.


Also, pam_sssd seems not to have an equivalent message at all (or at least no message with the string "Changing").

Shoudn't, in the end, the message be output directly by libpam, depending on neither the applications nor the PAM modules?
Comment 4 Fedora End Of Life 2015-01-09 11:27:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Miloslav Trmač 2015-01-09 11:56:16 EST
Same in passwd-0.79-2.fc20.x86_64 .
Comment 6 Fedora End Of Life 2015-05-29 04:37:53 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Miloslav Trmač 2015-06-03 13:13:52 EDT
Same in passwd-0.79-5.fc22.x86_64 .
Comment 8 Fedora End Of Life 2016-07-19 16:25:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Miloslav Trmač 2016-07-22 14:21:21 EDT
Same in passwd-0.79-8.fc24.x86_64 .

But, Tomáš, please see comment #3.  How is this supposed to work in PAM?
Comment 10 Tomas Mraz 2016-08-01 09:31:44 EDT
I do not think directly outputting anything from libpam is a good idea. So perhaps the best way would be to modify all the applications that call pam_chauthtok() to output the message themselves and remove it from pam_unix (and possibly other pam modules that do it).
Comment 11 Miloslav Trmač 2016-08-01 09:40:28 EDT
> So perhaps the best way would be to modify all the applications that call pam_chauthtok() to output the message themselves and remove it from pam_unix (and possibly other pam modules that do it).

Works for me.  passwd already works that way (unconditionally printing the message), so reassigning to pam to deal with the various modules.
Comment 12 Tomas Mraz 2017-04-20 10:58:12 EDT
I've dropped the message from pam_unix finally. I've tested some pam_chauthtok calling programs and they already output messages that sufficiently clarify what is happening. I'll try to test the display managers next.

Note You need to log in before you can comment on or make changes to this bug.